#!/bin/bash
##################################
##	Install the FTDI drivers and udev rules
##	Ubuntu 12.04
##################################
set -x verbose 
if [ $EUID -ne 0 ]
then
	echo "This script must be run as root" 1>&2
	exit 1
fi

# install driver
if [ `getconf LONG_BIT` = "64" ]; then
	# copy 64-bit driver
	tar xfvz libftd2xx-x86_64-1.4.8.gz
	# Copies the libraries to a central location
	cp ./release/build/libftd2xx.* /usr/local/lib
	# Allows non-root access to the shared object
	chmod 0755 /usr/local/lib/libftd2xx.so.1.4.8
	# Creates a symbolic link to the 1.4.8 version of the shared object
	ln -sf /usr/local/lib/libftd2xx.so.1.4.8 /usr/local/lib/libftd2xx.so
	rm -r ./release
	
	# copy 32-bit driver
	tar xfvz libftd2xx-i386-1.4.8.gz
	# Copies the libraries to a central location
	cp ./release/build/libftd2xx.* /usr/lib32
	# Allows non-root access to the shared object
	chmod 0755 /usr/lib32/libftd2xx.so.1.4.8
	# Creates a symbolic link to the 1.4.8 version of the shared object
	ln -sf /usr/lib32/libftd2xx.so.1.4.8 /usr/lib32/libftd2xx.so

	rm -r ./release
else
	# copy only 32-bit driver
	tar xfvz libftd2xx-i386-1.4.8.gz
	# Copies the libraries to a central location
	cp ./release/build/libftd2xx.* /usr/local/lib
	# Allows non-root access to the shared object
	chmod 0755 /usr/local/lib/libftd2xx.so.1.4.8
	# Creates a symbolic link to the 1.4.8 version of the shared object
	ln -sf /usr/local/lib/libftd2xx.so.1.4.8 /usr/local/lib/libftd2xx.so

	rm -r ./release
fi

#set udev rule

cp ./99-libftdi.rules /etc/udev/rules.d
/sbin/udevadm control --reload-rules
